cordova.define("cordova-plugin-pdaiscan.PDAIScan", function(require, exports, module) {
var exec = require('cordova/exec');
var cordova = require('cordova');


var PDAIScan = function() {
    this.data = null;
    cordova.addWindowEventHandler('getqrdata').onHasSubscribersChange = PDAIScan.onHasSubscribersChange;
}

PDAIScan.onHasSubscribersChange = function() {
    exec(pdaIScan._listen, pdaIScan._error, "PDAIScan", "start", []);
}

PDAIScan.prototype._listen = function(info){
    if (info) {
        cordova.fireWindowEvent('getqrdata', info);
        pdaIScan.data = info;
    }
}

PDAIScan.prototype._error = function(e) {
    console.log('插件初始化错误，详情: ' + e);
}


PDAIScan.prototype.stopListenScan = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "PDAIScan", "stop", []);
}

PDAIScan.prototype.handleScanStart = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "PDAIScan", "scan_start", []);
}

PDAIScan.prototype.handleScanStop = function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, "PDAIScan", "scan_stop", []);
}

PDAIScan.prototype.setScanTimeOut = function(ms, successCallback, errorCallback) {
    exec(successCallback, errorCallback, "PDAIScan", "scan_timeout", [ms]);
}


var pdaIScan = new PDAIScan();

window.pdaIScan = pdaIScan;

module.exports = pdaIScan
});
